#ifndef TMHistogrammingHitMapChip_H
#define TMHistogrammingHitMapChip_H

#include "TMHistogramming.h"
class TH2F;

class TMHistogrammingHitMapChip : public TMHistogramming {
 public:
  TMHistogrammingHitMapChip(UInt_t eq, UInt_t hs, UInt_t chip);
  virtual ~TMHistogrammingHitMapChip();
  
  virtual void ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);

  virtual void Draw(TPad *pad);
  virtual void Reset();

 protected:
  UInt_t fEq;
  UInt_t fHs;
  UInt_t fChip;
  TH2F   *fHitMap;

};

#endif
